<?php
/*
Plugin Ads after first post
(c) 2005-2006 by MyBBoard.de
Website: http://www.mybboard.de

trkeletiren dared
*/
$plugins->add_hook("postbit", "adsafp");

//Informationen zum Plugin
function adsafp_info()
{
	return array(
		"name"        => "Ads after first post",
		"description" => "Displays ads after the posts in your forums.<b><i>eviri: dared</b></i>",
		"website"     => "http://www.mybboard.de",
		"author"      => "MyBBoard.de",
		"authorsite"  => "http://www.mybboard.de",
		"version"     => "2.0",
		);
}

// Aktivierung
function adsafp_activate() {

    global $db;

	// Variablen fr dieses Plugin einfgen
	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets("postbit_seperator", '#</td>#', "{\$post['adsaf']}</td>");
		
	// Einstellungsgruppe hinzufgen
	$adsafp_group = array(
		"gid" => "NULL",
		"name" => "lk mesajdan sonra reklam alan",
		"title" => "lk mesajdan sonra reklam alan",
		"description" => "Ayarlar.",
		"disporder" => "1",
		"isdefault" => "no",
		);
	$db->insert_query(TABLE_PREFIX."settinggroups", $adsafp_group);
	$gid = $db->insert_id();
	
	// Einstellungen hinzufgen
	$adsafp_1 = array(
		"sid" => "NULL",
		"name" => "adsafp_code_onoff",
		"title" => "A/Kapat",
		"description" => "lk Mesajdan Sonra Alan Alsn m?",
		"optionscode" => "yesno",
		"value" => "no",
		"disporder" => "1",
		"gid" => intval($gid),
		);
	$db->insert_query(TABLE_PREFIX."settings", $adsafp_1);
	
	$adsafp_2 = array(
		"sid" => "NULL",
		"name" => "adsafp_align",
		"title" => "Hizalama",
		"description" => "Hizalamay Seiniz.",
		"optionscode" => "radio\r\n1=Sol\r\n2=Orta\r\n3=Sa",
		"value" => "2",
		"disporder" => "2",
		"gid" => intval($gid),
		);
	$db->insert_query(TABLE_PREFIX."settings", $adsafp_2);
	
	$adsafp_3 = array(
		"sid" => "NULL",
		"name" => "adsafp_mode",
		"title" => "Mod",
		"description" => "Reklam Alan Nerede Alsn?",
		"optionscode" => "radio\r\n1=Her Sayfada lk Mesajdan Sonra (Varsaylan)\r\n2=lk Mesajdan Sonra ve Her X Mesajdan Sonra\r\n3=Her X Mesajdan Sonra",
		"value" => "1",
		"disporder" => "3",
		"gid" => intval($gid),
		);
	$db->insert_query(TABLE_PREFIX."settings", $adsafp_3);
	
	$adsafp_4 = array(
		"sid" => "NULL",
		"name" => "adsafp_afterxposts",
		"title" => "Mesaj Says",
		"description" => "Ka Mesajdan Sonra Grntlensin (Sadece 2. ve 3. Ayar Seiliyse)",
		"optionscode" => "text",
		"value" => "5",
		"disporder" => "4",
		"gid" => intval($gid),
		);
	$db->insert_query(TABLE_PREFIX."settings", $adsafp_4);
	
	$adsafp_5 = array(
		"sid" => "NULL",
		"name" => "adsafp_code",
		"title" => "Kod",
		"description" => "Reklam Kodunuzu Giriniz.",
		"optionscode" => "textarea",
		"value" => "",
		"disporder" => "5",
		"gid" => intval($gid),
		);
	$db->insert_query(TABLE_PREFIX."settings", $adsafp_5);
	
	// settings.php erneuern
	rebuild_settings();
}

// Deaktivierung
function adsafp_deactivate() {

    global $db;

	// Variablen von dieses Plugin entfernen
	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets("postbit_seperator", "#{\$post['adsaf']}#", "", 0);
	
	// Einstellungsgruppen lschen
	$query = $db->query("SELECT gid FROM ".TABLE_PREFIX."settinggroups WHERE name='Ads after first post'");
	$g = $db->fetch_array($query);
	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE gid='".$g['gid']."'");

	// Einstellungen lschen
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE gid='".$g['gid']."'");

	// Rebuilt settings.php
	rebuild_settings();
}

// Funktionen
function adsafp($post) {

    global $mybb, $postcounter;
    
    $post['adsaf'] = "";
    if ($mybb->settings['adsafp_code_onoff'] != "no") {

        // Alignment
        switch ($mybb->settings['adsafp_align']) {
        case "1":
            $ads_align = "left";
            break;
        case "2":
            $ads_align = "center";
            break;
        case "3":
            $ads_align = "right";
            break;
        }

        // Ads after first post
        if ($mybb->settings['adsafp_mode'] == "1") {
            if (($postcounter - 1) % $mybb->settings['postsperpage'] == "0") {
                $post['adsaf'] = "<div style=\"text-align:".$ads_align.";\">".stripslashes($mybb->settings['adsafp_code'])."</div>";
            }
        }

        // Ads after first post and then every x posts
        if ($mybb->settings['adsafp_mode'] == "2") {
            if ($postcounter == "1" || ($postcounter - 1) % ($mybb->settings['adsafp_afterxposts']) == "0") {
                $post['adsaf'] = "<div style=\"text-align:".$ads_align.";\">".stripslashes($mybb->settings['adsafp_code'])."</div>";
            }
        }
    
        // Ads after every x posts
        if ($mybb->settings['adsafp_mode'] == "3") {
            if ($postcounter % ($mybb->settings['adsafp_afterxposts']) == "0") {
                $post['adsaf'] = "<div style=\"text-align:".$ads_align.";\">".stripslashes($mybb->settings['adsafp_code'])."</div>";
            }
        }
    }
}

// Einstellungen erneuern
if(!function_exists("rebuild_settings")) {
	function rebuild_settings() {
		
        global $db;
		
        $query = $db->query("SELECT * FROM ".TABLE_PREFIX."settings ORDER BY title ASC");
		while($setting = $db->fetch_array($query)) {
			$setting['value'] = addslashes($setting['value']);
			$settings .= "\$settings['".$setting['name']."'] = \"".$setting['value']."\";\n";
		}
		$settings = "<?php\n/*********************************\ \n  DO NOT EDIT THIS FILE, PLEASE USE\n  THE SETTINGS EDITOR\n\*********************************/\n\n$settings\n?>";
		$file = fopen(MYBB_ROOT."/inc/settings.php", "w");
		fwrite($file, $settings);
		fclose($file);
		
	}
}
?>